import request from '@/utils/request'

// 查询项目公司信息列表
export function listCompany(query) {
  return request({
    url: '/invest/company/list',
    method: 'get',
    params: query
  })
}

// 查询项目公司信息详细
export function getCompany(id) {
  return request({
    url: '/invest/company/' + id,
    method: 'get'
  })
}

// 新增项目公司信息
export function addCompany(data) {
  return request({
    url: '/invest/company',
    method: 'post',
    data: data
  })
}

// 修改项目公司信息
export function updateCompany(data) {
  return request({
    url: '/invest/company',
    method: 'put',
    data: data
  })
}

// 删除项目公司信息
export function delCompany(id) {
  return request({
    url: '/invest/company/' + id,
    method: 'delete'
  })
}
